Add wallet webhook
Add a webhook to a wallet that sends an HTTP callback from BitGo to a specified
URL when specific conditions occur. A wallet can have up to 10 webhooks of each
wallet-webhook type. Learn more about webhooks on the
Developer Portal.
Note: Before you process webhook notifications, BitGo strongly recommends that you verify response details by fetching the transfer or block data from BitGo. For example, if you create a transfer webhook and you receive a transfer ID, pass that ID to the Get Transfer endpoint to verify the transfer details.
Path Params
-
coinstring requiredA cryptocurrency symbol or token ticker symbol -
walletIdstring required
Body Params
object
-
typestring enum requiredEvent type to listen to.txRequesttxRequestTransactiontransfertransactiontransactionRemovedtransactionExpirependingapprovalblockadminaddress_confirmationlowFeecircuitBreakerlowFeeAddressBalancetransaction_finality_on_l1stuckTxunspentExpirytwoStepTransfertwoStepDeposittwoStepWithdrawalpendingDecryption -
urlstring uri requiredURL to fire the webhook to. -
labelstringLabel of the new webhook. -
numConfirmationsnumberNumber of confirmations before triggering the webhook. If 0 or unspecified, requests will be sent to the callback endpoint when the transfer is first seen and when it is confirmed. -
allTokenbooleanTriggers on coin transfers and token transfers for ETH and Stellar. Must be set to true to receive webhooks for Trade accounts. -
listenToFailureStatesbooleanWhether or not to listen to failed transactions on chain. -
txRequestStatesarray of string enumspendingApprovalcanceledrejectedinitializedpendingDeliverydeliveredpendingUserSignaturependingUserCommitmentpendingUserRSharependingUserGSharereadyToSendsignedfailed -
txRequestTransactionStatesarray of string enumsinitializedpendingSignatureeddsaPendingCommitmenteddsaPendingRShareeddsaPendingGShareecdsaMPCv2Round1ecdsaMPCv2Round2ecdsaMPCv2Round3eddsaMPCv2Round1eddsaMPCv2Round2eddsaMPCv2Round3readyToCombineSharessignedhelddeliveredinvalidSignaturerejected -
customHttpHeadersmap of stringsCustom HTTP header key/values to be included with every notification for the webhook.
Responses
200
OK
Response Body
object
coin is required.-
idstring required -
createdstring date-time required -
coinstring requiredA cryptocurrency or token ticker symbol. -
urlstring uri required -
versionnumber required2 for coins running on API v2. -
scopestring enum requiredwalletenterpriseorganizationsafe -
statestring enum requiredIf 'active', indicates the webhook can trigger and send to the URL. If 'suspended', indicates the webhook can't trigger.activesuspended -
successiveFailedAttemptsnumber required -
listenToFailureStatesboolean requiredWhether or not to listen to failed transactions on chain. -
labelstringLabel of the new webhook. -
walletIdstring -
enterpriseIdstring -
organizationIdstring -
userIdstring -
typestring enumEvent type to listen to.txRequesttxRequestTransactiontransfertransactiontransactionRemovedtransactionExpirependingapprovalblockadminaddress_confirmationlowFeecircuitBreakerlowFeeAddressBalancetransaction_finality_on_l1stuckTxunspentExpirytwoStepTransfertwoStepDeposittwoStepWithdrawalpendingDecryption -
numConfirmationsnumber -
lastAttemptstring date-time -
failingSincestring date-time -
allTokenboolean -
txRequestStatesarray of string enumspendingApprovalcanceledrejectedinitializedpendingDeliverydeliveredpendingUserSignaturependingUserCommitmentpendingUserRSharependingUserGSharereadyToSendsignedfailed -
txRequestTransactionStatesarray of string enumsinitializedpendingSignatureeddsaPendingCommitmenteddsaPendingRShareeddsaPendingGShareecdsaMPCv2Round1ecdsaMPCv2Round2ecdsaMPCv2Round3eddsaMPCv2Round1eddsaMPCv2Round2eddsaMPCv2Round3readyToCombineSharessignedhelddeliveredinvalidSignaturerejected
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
401
Unauthorized
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id